ManufacturingGeometryBuilder Class

class NXOpen.Tooling.ManufacturingGeometryBuilder

Bases: NXOpen.Builder

Represents a builder to be used to create manufacturing geometry.

To create a new instance of this class, use NXOpen.Tooling.ManufacturingGeometryCollection.CreateBuilder()

Default values.

Property Value
Translucency 0

New in version NX8.0.0.

Properties

Property Description
Face Returns the face to use as the region faces of the geometry groups.
Tag Returns the Tag for this object.
Translucency Returns or sets the translucency to specify the group faces display.

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CreateNewSubNode Create a new sub node.
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetFaceColor Returns the face color.
GetObject Returns the object currently being edited by this builder.
InitializeContent Sets the initialize content.
InitializeGeometry Sets the initialize geometry.
SetFaceColor Sets the face color.
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Property Detail

Face

ManufacturingGeometryBuilder.Face

Returns the face to use as the region faces of the geometry groups.

-------------------------------------

Getter Method

Signature Face

Returns:
Return type:NXOpen.ScCollector

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR prog_die_wizard (“UG/Progressive Die Wizard”) OR die_engineering (“DIE ENGINEERING”) OR ug_die_design (“Die Design”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR nx_engineering_die_wizard (“NX Engineering Die Wizard”)

Translucency

ManufacturingGeometryBuilder.Translucency

Returns or sets the translucency to specify the group faces display.

-------------------------------------

Getter Method

Signature Translucency

Returns:
Return type:int

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR prog_die_wizard (“UG/Progressive Die Wizard”) OR die_engineering (“DIE ENGINEERING”) OR ug_die_design (“Die Design”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR nx_engineering_die_wizard (“NX Engineering Die Wizard”)

-------------------------------------

Setter Method

Signature Translucency

Parameters:translucency (int) –

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR prog_die_wizard (“UG/Progressive Die Wizard”) OR die_engineering (“DIE ENGINEERING”) OR ug_die_design (“Die Design”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR nx_engineering_die_wizard (“NX Engineering Die Wizard”)

Method Detail

CreateNewSubNode

ManufacturingGeometryBuilder.CreateNewSubNode

Create a new sub node.

Signature CreateNewSubNode(selNode)

Parameters:selNode (int) – The tree new created sub node

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR prog_die_wizard (“UG/Progressive Die Wizard”) OR die_engineering (“DIE ENGINEERING”) OR ug_die_design (“Die Design”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR nx_engineering_die_wizard (“NX Engineering Die Wizard”)

GetFaceColor

ManufacturingGeometryBuilder.GetFaceColor

Returns the face color.

Signature GetFaceColor()

Returns:
Return type:int

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR prog_die_wizard (“UG/Progressive Die Wizard”) OR die_engineering (“DIE ENGINEERING”) OR ug_die_design (“Die Design”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR nx_engineering_die_wizard (“NX Engineering Die Wizard”)

InitializeContent

ManufacturingGeometryBuilder.InitializeContent

Sets the initialize content.

Parameter initialize_way indicate the different invoke entry initialize_way == 0 : Run from Electrode Design Wizard initialize_way == 1 : Run from Progressive Die Wizard initialize_way == 2 : Run from Mold Wizard initialize_way == 3 : Run from Die Design initialize_way == 4 : Run from Engineering Die Wizard.

Signature InitializeContent(initializeWay)

Parameters:initializeWay (int) –

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR prog_die_wizard (“UG/Progressive Die Wizard”) OR die_engineering (“DIE ENGINEERING”) OR ug_die_design (“Die Design”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR nx_engineering_die_wizard (“NX Engineering Die Wizard”)

InitializeGeometry

ManufacturingGeometryBuilder.InitializeGeometry

Sets the initialize geometry.

Signature InitializeGeometry()

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR prog_die_wizard (“UG/Progressive Die Wizard”) OR die_engineering (“DIE ENGINEERING”) OR ug_die_design (“Die Design”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR nx_engineering_die_wizard (“NX Engineering Die Wizard”)

SetFaceColor

ManufacturingGeometryBuilder.SetFaceColor

Sets the face color.

Signature SetFaceColor(faceColor)

Parameters:faceColor (int) –

New in version NX8.0.0.

License requirements: ug_mold_design (“UG MOLD”) OR prog_die_wizard (“UG/Progressive Die Wizard”) OR die_engineering (“DIE ENGINEERING”) OR ug_die_design (“Die Design”) OR nx_electrode_wizard (“NX Electrode Wizard”) OR nx_engineering_die_wizard (“NX Engineering Die Wizard”)

Validate

ManufacturingGeometryBuilder.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.